# mac 地址问题解决方案

之前存在的mac 地址问题现在已经开发出解决方案。本文档适合于开发，生产,现场技术支持。

总体的思路：

①  脚本依据配置文件，将相关的文件上传到控制器（/etc/mac   /dobot/bin/dobot.sh）

②  脚本更新配置文件，实现mac 地址的自增。

## 1. 使用方法

### 1.1 配置起始mac 地址

**注意： 如果是工厂应用，不需要修改mac ！！！！！！  mac 地址会自增！**

修改位于 ./src/mac_start.txt 的文件，按照原来的格式的写入一个有效的mac 地址。

例如：

```bash
04:11:19:EF:FD:13
```

上述文件的内容只有一行，没有空格，数字是十六进制的形式，两个冒号之间的数字长度必须是2 。

### 1.2双击 脚本

随本文档附带了两个升级脚本，分别是针对于默认IP和自定义IP。  mac_ip.bat 需要输入IP ,这个适合技术支持去临时升级少量的设备。

mac.bat 使用的是默认的IP ，这个适合于工厂进行大批量的升级操作。

请确认自己需要使用的脚本，并且直接双击脚本运行。如果弹出一长串英文  问你yes 或no   请选择yes.

### 1.3 重启控制器

重启之后mac 地址的改动生效，mac 地址的改动是 eth1 和eth2(对外网口) 使用相同的mac 。

### 1.4 查看mac 的方法

#### 1.4.1 windows 10 下 打开命令行

同时 按下 win + r   输入 cmd  回车

#### 1.4.2 使用ssh 登录控制器

```bash
C:\Users\xxxxxxxxxxxxx>ssh root@192.168.5.1
root@192.168.5.1's password:    #  这里输入密码 dobot
[root@dobot ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr 12:34:56:78:9A:BC
          inet6 addr: fe80::1034:56ff:fe78:9abc/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:84344 errors:1 dropped:0 overruns:0 frame:1
          TX packets:84354 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:68253668 (65.0 MiB)  TX bytes:67918994 (64.7 MiB)

eth1      Link encap:Ethernet  HWaddr 04:11:19:EF:FD:19   ##################################################  mac 地址在这里
          inet addr:192.168.100.6  Bcast:192.168.100.255  Mask:255.255.255.0
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

eth2      Link encap:Ethernet  HWaddr 04:11:19:EF:FD:19  ##################################################  mac 地址在这里
          inet addr:192.168.5.1  Bcast:192.168.5.255  Mask:255.255.255.0
          inet6 addr: fe80::611:19ff:feef:fd19/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:453 errors:0 dropped:0 overruns:0 frame:0
          TX packets:93 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:32401 (31.6 KiB)  TX bytes:12227 (11.9 KiB)

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:65536  Metric:1
          RX packets:131 errors:0 dropped:0 overruns:0 frame:0
          TX packets:131 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:6612 (6.4 KiB)  TX bytes:6612 (6.4 KiB)

wlan2     Link encap:Ethernet  HWaddr D0:37:45:07:60:EE
          inet addr:192.168.1.6  Bcast:192.168.1.255  Mask:255.255.255.0
          inet6 addr: fe80::d237:45ff:fe07:60ee/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1512 errors:0 dropped:12 overruns:0 frame:0
          TX packets:64 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B)  TX bytes:9331 (9.1 KiB)

[root@dobot ~]#
```

可以观察到  mac 地址修改为04:11:19:EF:FD:19

## 附录

文件说明：

| 文件名                       | 功能说明                                                     |
| ---------------------------- | ------------------------------------------------------------ |
| mac.bat                      | 设置192.168.5.1 的mac地址的脚本                              |
| mac_ip.bat                   | 设置自定义IP 处的mac 地址的脚本                              |
| README.md                    | 本文档                                                       |
| src/default.txt              | 默认的mac 起始地址，供使用的时候参考，这是供应商提供的mac 的起始地址 |
| src/mac_address-chipreal.xls | mac 地址的 表格文件，  上面记录了供应商提供的mac 地址范围04:11:19:EF:FD:12 ~04:11:19:EF:FF:FF  共计 750个 |
| src/plink.exe                | 工程程序，不需要关心                                         |
| src/pscp.exe                 | 工程程序，不需要关心                                         |
| src/dobot.sh                 | 需要替换的 控制器启动脚本，                                  |
| src/mac_start.txt            | 设置的mac 起始地址，这里面的数字每次设置完控制器mac 之后会自增 |

